"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.angularVitestPlugin = void 0;
const vite_1 = require("vite");
function angularVitestPlugin() {
    return {
        name: '@analogjs/vitest-angular-esm-plugin',
        apply: 'serve',
        enforce: 'post',
        config() {
            return {
                ssr: {
                    noExternal: [/cdk\/fesm2022/],
                },
                test: {
                    pool: 'vmThreads',
                },
            };
        },
        async transform(_code, id) {
            if (/fesm2022/.test(id) && _code.includes('async (')) {
                const { code, map } = await (0, vite_1.transformWithEsbuild)(_code, id, {
                    loader: 'js',
                    format: 'esm',
                    target: 'es2016',
                    sourcemap: true,
                    sourcefile: id,
                });
                return {
                    code,
                    map,
                };
            }
            return undefined;
        },
    };
}
exports.angularVitestPlugin = angularVitestPlugin;
//# sourceMappingURL=angular-vitest-plugin.js.map