"use strict";
/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.dev/license
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCompilerPlugin = void 0;
const devkit_1 = require("./utils/devkit");
function createCompilerPlugin(pluginOptions, isTest) {
    const javascriptTransformer = new devkit_1.JavaScriptTransformer({ ...pluginOptions, jit: true }, 1);
    return {
        name: 'analogjs-angular-esbuild-deps-optimizer-plugin',
        async setup(build) {
            if (!isTest) {
                build.onLoad({ filter: /\.[cm]?js$/ }, async (args) => {
                    const contents = await javascriptTransformer.transformFile(args.path);
                    return {
                        contents,
                        loader: 'js',
                    };
                });
            }
            build.onEnd(() => javascriptTransformer.close());
        },
    };
}
exports.createCompilerPlugin = createCompilerPlugin;
//# sourceMappingURL=compiler-plugin.js.map