"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SourceFileCache = exports.JavaScriptTransformer = exports.createJitResourceTransformer = exports.angularApplicationPreset = exports.loadEsmModule = exports.requiresLinking = void 0;
const wbl = require("@angular-devkit/build-angular/src/tools/babel/webpack-loader");
const app = require("@angular-devkit/build-angular/src/tools/babel/presets/application");
const cp = require("@angular-devkit/build-angular/src/tools/esbuild/angular/compiler-plugin");
let requiresLinking;
/**
 * Workaround for compatibility with Angular 16.2+
 */
if (typeof wbl['requiresLinking'] !== 'undefined') {
    exports.requiresLinking = requiresLinking = wbl.requiresLinking;
}
else if (typeof app['requiresLinking'] !== 'undefined') {
    exports.requiresLinking = requiresLinking = app['requiresLinking'];
}
/**
 * Workaround for compatibility with Angular 17.0+
 */
let sourceFileCache;
if (typeof cp['SourceFileCache'] !== 'undefined') {
    exports.SourceFileCache = sourceFileCache = cp.SourceFileCache;
}
else {
    const sfc = require('@angular-devkit/build-angular/src/tools/esbuild/angular/source-file-cache');
    exports.SourceFileCache = sourceFileCache = sfc.SourceFileCache;
}
const angularApplicationPreset = app.default;
exports.angularApplicationPreset = angularApplicationPreset;
const jit_resource_transformer_1 = require("@angular-devkit/build-angular/src/tools/esbuild/angular/jit-resource-transformer");
Object.defineProperty(exports, "createJitResourceTransformer", { enumerable: true, get: function () { return jit_resource_transformer_1.createJitResourceTransformer; } });
const javascript_transformer_1 = require("@angular-devkit/build-angular/src/tools/esbuild/javascript-transformer");
Object.defineProperty(exports, "JavaScriptTransformer", { enumerable: true, get: function () { return javascript_transformer_1.JavaScriptTransformer; } });
const load_esm_1 = require("@angular-devkit/build-angular/src/utils/load-esm");
Object.defineProperty(exports, "loadEsmModule", { enumerable: true, get: function () { return load_esm_1.loadEsmModule; } });
//# sourceMappingURL=devkit.js.map